Bug 35569 - Improve discoverability of shortcuts in the IDE
Improve discoverability of shortcuts in the IDE
Status: RESOLVED FIXED
Product: usersguide
Classification: Unclassified
Component: Code
3.x
All All
: P1 (vote)
: 3.x
Assigned To: issues@usersguide
issues@usersguide
:
Depends on:
Blocks: 35735
  Show dependency treegraph
 
Reported: 2003-08-21 10:45 UTC by mvinar
Modified: 2004-09-02 11:31 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mvinar 2003-08-21 10:45:48 UTC
User problem:
-----------------------------------
Discoverability of keyboard shortcuts is limited.

User need:
-----------------------------------
The user needs to be able to easily discover the
keyboard shortcut for specific actions.

Product requirement:
-----------------------------------
Create a short document outlining the shortcuts in
the IDE. Visualize the most important shortcuts.
Provide suggestions along the way (e.g. tooltips,
status bar hint, etc.)
Comment 1 _ tboudreau 2003-08-23 23:34:05 UTC
I think docs is working on something like this already.
However, one suggestion:

Write some code that will generate a nice HTML doc
dynamically with all of the shortcuts in the IDE and 
what they do.

On the welcome screen, in a visible way (or when the
user does something that could be done more efficiently
with a shortcut the first time?), offer to print a
"NetBeans quick reference card" from this document.

Hack factor: 0
Difficulty: 2 (out of 10)
Cookbook:
 - Design of card
 - Code to fetch all shortcuts
 - Design for notification/integration w/ welcome screen

Issues:
 - Where to get a good description?  If not available in
   a resource bundle, can that be changed for the future?
Comment 2 Patrick Keegan 2003-11-05 13:13:08 UTC
I'm all for this feature. One complication is figuring out how the
order of the shortcuts displayed would be determined and how this
should be handled for editions other than NetBeans.
Comment 3 Marian Mirilovic 2004-09-02 10:59:47 UTC
I think it's already done , use main menu Help | Keyboard Shortcuts CArd
Comment 4 Patrick Keegan 2004-09-02 11:31:37 UTC
Marking as fixed as there is a keyboard shortcut card. If further
enhancements are requested, a different issue should be filed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo